Dependency (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.resolve
[Groovy] Class Dependency

    java.lang.Object
      org.codehaus.groovy.grails.resolve.Dependency

    @groovy.transform.CompileStatic
    @groovy.transform.Canonical(includes = ['group', 'name', 'version'])
    class Dependency
    extends java.lang.Object

Represents a dependency independent of any dependency resolution engine (ivy or aether)

Authors:
  Graeme Rocher

Field Summary
`static java.lang.String` | `WILDCARD`

Property Summary
`java.lang.String` | `classifier`
`java.util.List` | `excludes`
`boolean` | `exported`
`java.lang.String` | `extension`
`java.lang.String` | `group`
`boolean` | `inherited`
`java.lang.String` | `name`
`boolean` | `transitive`
`java.lang.String` | `version`

Constructor Summary
`Dependency(java.lang.String group, java.lang.String name, java.lang.String version, java.lang.String... exc)`
`Dependency(java.lang.String group, java.lang.String name, java.lang.String version, boolean inherited, java.lang.String... exc)`

Method Summary
`void` | `exclude(java.lang.String name)`
`void` | `exclude(java.lang.String group, java.lang.String name)`
`java.lang.String[]` | `getExcludeArray()`
`java.lang.String` | `getPattern()` Dependency pattern
`java.lang.String[]` | `getTokens()` Array of tokens for the group, name and version
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### WILDCARD

    public static final java.lang.String WILDCARD

Property Detail

### classifier

    java.lang.String classifier

### excludes

    java.util.List excludes

### exported

    boolean exported

### extension

    java.lang.String extension

### group

    java.lang.String group

### inherited

    boolean inherited

### name

    java.lang.String name

### transitive

    boolean transitive

### version

    java.lang.String version

Constructor Detail

### Dependency

    Dependency(java.lang.String group, java.lang.String name, java.lang.String version, java.lang.String... exc)

### Dependency

    Dependency(java.lang.String group, java.lang.String name, java.lang.String version, boolean inherited, java.lang.String... exc)

Method Detail

### exclude

    void exclude(java.lang.String name)

### exclude

    void exclude(java.lang.String group, java.lang.String name)

### getExcludeArray

    java.lang.String[] getExcludeArray()

### getPattern

    java.lang.String getPattern()

  Dependency pattern

### getTokens

    java.lang.String[] getTokens()

  Array of tokens for the group, name and version

### toString

    @java.lang.Override
    java.lang.String toString()

Groovy Documentation